IKEv1 géint IKEv2 mat gedeelten Schlëssel: wat d'Authentifikatioun ënnerscheet
Déi zwou Versiounen beweisen d'Wëssen vum gedeelte Schlëssel, ouni hien ze schécken, mä si ginn aner Donnéeën an aner Hashes. Vergläicht déi zwou Spueren.
Zwou Gateways, déi mat demselwechten gedeelte Schlëssel ageriicht sinn, fäerdeg en Handshake, an eng Packetopnam weist kee Geheimnis, dat iwwer d'Leitung geet. Dat ass deen Deel, un deen d'Leit sech erënneren. Den interessante Deel ass, wat all Versioun tatsächlech berechent, fir ze beweisen, datt d'Geheimnis bekannt ass, well IKEv1 an IKEv2 dëse Beweis aus aneren Donnéeën opbauen an dobäi aner Informatiounen opdecken. Liest déi zwou Spueren niefteneen an den Ënnerscheed hält op kosmetesch ze sinn.
Wat de Beweis muss erreechen
Diffie-Hellman gëtt béide Säiten e gemeinsame Wäert, deem seng ëffentlech Halschenten och all observéierende berechne kann. Fir sech selv beweist dat näischt iwwer d'Identitéit: en Ugräifer, deen en Schlësselaustausch fäerdeg mécht, huet deeselwechte gemeinsame Wäert wéi Ären Gateway. D'Authentifikatiounsstufe gëtt et, fir deen Austausch un e Geheimnis ze bannen, dat nëmmen déi virgesinn Säiten hunn, an un d'Identitéiten an d'Parameteren, op déi si sech gëeenegt hunn.
Dee Bannung ass de Grond, firwat den Hash méi wéi de Schlëssel deckt. Wa hien nëmmen d'Geheimnis decke géif, kéint en Ugräifer hien an en aneren Austausch mat aneren Identitéiten oder Virschléi erëmspillen.
IKEv1 Main Mode: SKEYID ofleeden, duerno beweisen
Main Mode leeft sechs Messagen. Déi éischt Puer handelst d'Sécherheetsassociatioun aus, déi zweet tauscht ëffentlech Diffie-Hellman-Wäerter an Noncen, an déi drëtt dréit Identitéiten plus Authentifikatiounshashes ënner der Encryption, déi just opgebaut gouf. RFC 2409 definéiert d'Konstruktioun: bei Authentifikatioun mam gedeelte Schlëssel gëtt SKEYID aus dem Geheimnis an béiden Noncen ofgeleet, an d'spéidert Schlësselmaterial aus SKEYID, dem gemeinsame Diffie-Hellman-Wäert, de Cookien an de Konstanen.
Den Hash an de Messagen fënnef a sechs gëtt iwwer de Diffie-Hellman-Wäert, déi zwou Cookien, de Virschlag an d'Identitéit vum Sender berechent, mat SKEYID als Schlëssel. Den Empfänger berechent hien nach mat sengem ageriichten Geheimnis. Eng Net-Iwwereneestëmmung hält den Austausch op, an d'Geheimnis ass ni engem Payload.
Aggressive Mode quëtscht déiselwecht Aarbecht an dräi Messagen, wat heescht, datt Identitéiten an den Authentifikatiounshash reesen, ier e verschlësselte Kanal existéiert. Dat ass eng richteg Expositioun fir e Geheimnis, dat ee ka roden, an et ass getrennt vun der Fro, ob d'Geheimnis iwwerdroe gouf. IKEv1 ass duerch RFC 9395 ofgeschaaft, sou datt eng al Spuer eng diagnostesch Übung ass an net en Zil fir den Asaz.
IKEv2: eng aner Ofleedung an en anere AUTH-Payload
IKEv2 benotzt den IKEv1-Schlësseplan net erëm. Déi éischt IKE-Schlësselen kommen aus engem Som, deen aus den Noncen an dem gemeinsame Diffie-Hellman-Wäert opgebaut ass, an d'Kand-Sécherheetsassociatiounen ofleeden sech dovun. De gedeelte Schlëssel fiddert den Som guer net.
D'Authentifikatioun erschéngt da als AUTH-Payload. Fir d'Authentifikatioun mam gedeelte Schlëssel schreift RFC 7296 eng gefëllte Form vum Geheimnis vir, déi ee kritt, wann ee d'Geheimnis mam feste String hasht Key Pad for IKEv2, an duerno déi ënnerschriwwen Austauschdonnéeën an d'Identitéit mat deem gefëllte Schlëssel hasht. De Verifizéierer kann deeselwechte Wäert erëm opbauen; en Observateur kann dat net, ouni d'Geheimnis.
Beuecht, wat sech geännert huet. An IKEv1 ass d'Geheimnis an de Schlësseplan agebaken, ier den Authentifikatiounshash existéiert; an IKEv2 ass de Schlësseplan onofhängeg vum Geheimnis an de Beweis en eegene Payload, deen un déi ënnerschriwwen Oktette gebonnen ass. Déiselwecht konzeptuell Garantie, aner Maschinn, an dofir mapppen d'Parameternimm an d'Opnamen net een zu een.
Wat en Observateur tatsächlech léiert
Ëffentlech Diffie-Hellman-Wäerter, Virschléi, Noncen a Cookien si an béide Versiounen ze gesinn. Identitéiten si an IKEv1 Aggressive Mode ze gesinn an an deenen anere Fäll geschützt. D'Geheimnis ass ni ze gesinn.
Dee leschte Saz huet eng Grenz, déi et verdéngt, gesot ze ginn. E schwaacht, vum Mënsch gewielte Geheimnis ka mat Roden ugegraff ginn: den Ugräifer berechent, wat den Authentifikatiounswäert fir e Kandidatgeheimnis wier, a vergläicht. IKEv1 Aggressive Mode mécht dat am bëllegsten, well den Evidenz am Kloere läit, an d'Standarden warnen allgemeng viru Geheimnisser mat niddereger Entropie. D'Geheimnis ni ze schécken ass net d'selwecht wéi en schlecht Geheimnis sécher ze maachen.
Wat een mat dem Verglach mécht
Benotzt een eenzegaartege Geheimnis pro Paar vu Partner, generéiert en aus enger zoufälleger Quell, a rotéiert en iwwer deeselwechte Provisionéierungswee, deen en verdeelt huet. Wann d'Geheimnis an engem Konfiguratiounstemplate steet, deen an all Filial geet, ass eng Kompromittéierung op enger Plaz eng Kompromittéierung iwwerall.
Bevirzugt d'Authentifikatioun op Basis vu Certificaten, wou d'Betribskäschten akzeptabel sinn, well se d'Rode vum gedeelte Geheimnis ewech hëlt an all Partner eng eege Identitéit gëtt. Wou e gedeelte Schlëssel bleift, haalt en laang, begrenzt säin Ëmfang an behandelt d'IKE-Versioun als Sécherheetsentscheedung, net als Interoperabilitésdetail.